Bug Hunting Session
Bug 102325 - FILEOPEN: Calc spreadsheet containing URLs causes an endless loop trying to make an ipv6 http request.
Summary: FILEOPEN: Calc spreadsheet containing URLs causes an endless loop trying to m...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.1.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Network
  Show dependency treegraph
 
Reported: 2016-09-21 13:34 UTC by mar77i
Modified: 2017-12-04 12:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Most simple test case (9.32 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-09-21 13:34 UTC, mar77i
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mar77i 2016-09-21 13:34:40 UTC
Created attachment 127513 [details]
Most simple test case

Strace dump of the problem:

[pid 20689] socket(AF_INET6, SOCK_STREAM, IPPROTO_IP) = 31
[pid 20689] setsockopt(31, SOL_SOCKET, SO_REUSEADDR, [1], 4) = 0
[pid 20689] setsockopt(31, SOL_SOCKET, SO_REUSEPORT, [1], 4) = 0
[pid 20689] setsockopt(31, SOL_TCP, TCP_NODELAY, [1], 4) = 0
[pid 20689] fcntl(31, F_SETFD, FD_CLOEXEC) = 0
[pid 20689] fcntl(31, F_GETFL)          = 0x2 (flags O_RDWR)
[pid 20689] fcntl(31, F_SETFL, O_RDWR|O_NONBLOCK) = 0
[pid 20689] connect(31, {sa_family=AF_INET6, sin6_port=htons(631), inet_pton(AF_INET6, "::1", &sin6_addr), sin6_flowinfo=htonl(0), sin6_scope_id=0}, 28) = -1 EINPROGRESS (Operation now in progress)
[pid 20689] fcntl(31, F_SETFL, O_RDWR)  = 0
[pid 20689] poll([{fd=31, events=POLLIN|POLLOUT}], 1, 100) = 1 ([{fd=31, revents=POLLIN|POLLOUT|POLLERR|POLLHUP}])
[pid 20689] close(31)                   = 0
[pid 20689] sendto(-1, "POST / HTTP/1.1\r\nContent-Length:"..., 175, 0, NULL, 0) = -1 EBADF (Bad file descriptor)
[pid 20689] sendto(-1, "POST / HTTP/1.1\r\nContent-Length:"..., 175, 0, NULL, 0) = -1 EBADF (Bad file descriptor)
[pid 20689] socket(AF_INET6, SOCK_STREAM, IPPROTO_IP) = 31
[pid 20689] setsockopt(31, SOL_SOCKET, SO_REUSEADDR, [1], 4) = 0
[pid 20689] setsockopt(31, SOL_SOCKET, SO_REUSEPORT, [1], 4) = 0
[pid 20689] setsockopt(31, SOL_TCP, TCP_NODELAY, [1], 4) = 0
[pid 20689] fcntl(31, F_SETFD, FD_CLOEXEC) = 0
[pid 20689] fcntl(31, F_GETFL)          = 0x2 (flags O_RDWR)
[pid 20689] fcntl(31, F_SETFL, O_RDWR|O_NONBLOCK) = 0
[pid 20689] connect(31, {sa_family=AF_INET6, sin6_port=htons(631), inet_pton(AF_INET6, "::1", &sin6_addr), sin6_flowinfo=htonl(0), sin6_scope_id=0}, 28) = -1 EINPROGRESS (Operation now in progress)
(ad nauseum)

The binary was launched with "libreoffice" from dmenu, and the process ID is the second highest in the libreoffice process tree.

The problem persists with the file which is attached to this bug report. I hope there is no longer any information contained that shouldn't be public.

Practical Workaround: 

# echo 1 > /proc/sys/net/ipv6/conf/all/disable_ipv6

Build script for the package that I'm using (contains the configure flags and ):

https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/libreoffice-fresh&id=78188c367c802a06a933e355a12f6481f161ae1b

However I think it would be a good idea to prevent this from happen in any case.

please drop me an email if I should provide you with more information.
Comment 1 mar77i 2016-09-21 13:36:19 UTC
(contains configure flags and exact package version)
Comment 2 Buovjaga 2016-10-09 11:20:32 UTC
So the symptom for you is that the program hangs?
I don't see that effect myself (using Arch).

Btw. we could use your tracing skillz in QA: https://wiki.documentfoundation.org/QA/GetInvolved (see the last section for IRC channel).

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.2.2.0+
Build ID: 5.2.2-1
CPU Threads: 8; OS Version: Linux 4.7; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Comment 3 Xisco Faulí 2017-04-11 16:26:18 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-10-30 10:54:20 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-12-04 12:39:43 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20171204